Subject: bug#40118: 27.0.90; Signing emails with gpg

From: Robert Pluim <[email-masked]>
Date: Mon, 20 Apr 2020 18:58:02 +0200

>>>>> On Mon, 20 Apr 2020 19:24:03 +0300, Eli Zaretskii <[email-masked]> said:

    >> From: Robert Pluim <[email-masked]>
    >> Cc: [email-masked],  [email-masked],  [email-masked]
    >> Date: Mon, 20 Apr 2020 12:52:00 +0200
    >> 
    >> >>>>> On Fri, 17 Apr 2020 17:11:53 +0200, Robert Pluim <[email-masked]> said:
    >> 
    >> ping. Eli, full patch to emacs-27, or just error message change to
    >> emacs-27?

    Eli> Oops, sorry, I wasn't aware you were waiting for me.
    Eli> I'm a bit nervous that Lars didn't respond.

    Eli> This code will be executed when? every time the user sends a message
    Eli> from Gnus?  And you are sure this change is safe and bug-free? and are
    Eli> very eager to install on emacs-27? Then I guess it's okay, fingers
    Eli> crossed...

Every time the user has requested that Gnus send a signed message, and
has not previously configured the keys(s) to be used for
signing. modulo bugs, but the change is not that complicated.

Although, given the lack of desire for people to sign their email
using gpg [1], maybe itʼs not that urgent after all (and updating the
message gets us a long way towards the solution).

Iʼll sit down with my dinner and a nice glass of rosé and think about
it some more :-)

Robert

Footnotes:
[1]  Itʼs something I used to do systematically, but nowadays people
     complain about this strange blob they see, or their servers strip
     'potentially dangerous' attachments, and a whole host of other
     idiocies.